export declare class EclGallery {
  el: HTMLElement;
  styleClass: string;
  theme: string;
  eclScript: boolean;
  slidesNumber: number;
  counterLabel: string;
  counterSeparator: string;
  viewAllLabel: string;
  description: string;
  meta: string;
  nextLabel: string;
  prevLabel: string;
  closeLabel: string;
  shareLabel: string;
  downloadLabel: string;
  footerLinkPath: string;
  footerLinkLabel: string;
  getClass(): string;
  componentDidRender(): void;
  render(): any;
}
